## org.eclipse.jst.jsf.facesconfig.emf
Interface FacetType

All Known Implementing Classes:
  FacetTypeImpl

    public interface FacetType

A representation of the model object 'Facet Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Facet Name`
- `Facet Extension`
- `Id`

See Also:
  `FacesConfigPackage.getFacetType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getFacetExtension()` Returns the value of the 'Facet Extension' containment reference list.
`FacetNameType` `getFacetName()` Returns the value of the 'Facet Name' containment reference
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`void` `setFacetName(FacetNameType value)` Sets the value of the '`Facet Name`' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getFacetType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getFacetType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getFacetType_Icon()`

### getFacetName

    FacetNameType getFacetName()

  Returns the value of the 'Facet Name' containment reference.

  If the meaning of the 'Facet Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Facet Name' containment reference.
  See Also:
    `setFacetName(FacetNameType)`, `FacesConfigPackage.getFacetType_FacetName()`

### setFacetName

    void setFacetName(FacetNameType value)

  Sets the value of the '`Facet Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Facet Name' containment reference.
  See Also:
    `getFacetName()`

### getFacetExtension

    EList getFacetExtension()

  Returns the value of the 'Facet Extension' containment reference list. The list contents are of type `FacetExtensionType`.

  If the meaning of the 'Facet Extension' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Facet Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getFacetType_FacetExtension()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getFacetType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`